Subject: bug#31574: 27.0; Doc string for `with-help-window'

From: Drew Adams <[email-masked]>
Date: Thu, 24 May 2018 10:17:49 -0700 (PDT)

> > The doc string ends with this sentence:
> >
> >   See 'help-window-setup' for more options.
> >
> > But that link takes you to this text, which tells you nothing at all
> > about "more options":
> 
> "Options" was not the best word here, so I rephrased the last sentence
> of the doc string.

I see that the bug was closed.  Not sure what the fix was,
but if it was just to change "options" then it might not
really be fixed.

The real problem is that after you follow the link there
is NOTHING about `with-help-window', AFAICT.

And I should have been clear that the doc string of
`help-window-setup' is even more problematic.  It doesn't
say anything helpful at all, AFAICT.  What does setting
up that window even mean?  The only thing this doc string
tells you, that you might not guess, is that VALUE is
returned from the function.

Did you fix the doc string of `help-window-setup', or can
you please do so as part of this bug?  Or do you need a
separate bug filed for that?